PEAR
[ class tree: PEAR ] [ index: PEAR ] [ all elements ]

File: PackageFile.php

Source Location: /PEAR-1.10.8/PEAR/PackageFile.php

Classes:

PEAR_PackageFile
Abstraction for the package.xml package description file

Page Details:

PEAR_PackageFile, package.xml parsing utility class

PHP versions 4 and 5

Includes:

require_once('PEAR/Validate.php') [line 19]
needed for PEAR_VALIDATE_* constants

PEAR_PACKAGEFILE_ERROR_INVALID_PACKAGEVERSION [line 28]

PEAR_PACKAGEFILE_ERROR_INVALID_PACKAGEVERSION = 2
Error code if the package.xml <package> tag version is not supported (version 1.0 and 1.1 are the only supported versions,

currently


[ Top ]



PEAR_PACKAGEFILE_ERROR_NO_PACKAGEVERSION [line 23]

PEAR_PACKAGEFILE_ERROR_NO_PACKAGEVERSION = 1
Error code if the package.xml <package> tag does not contain a valid version

[ Top ]



Documentation generated on Wed, 13 Mar 2019 14:45:13 -0400 by phpDocumentor 1.4.4. PEAR Logo Copyright © PHP Group 2004.